2021-12-15 Analysis v40r0
===

This version uses
Phys [v33r4](../../../../Phys/-/tags/v33r4),
Rec [v33r4](../../../../Rec/-/tags/v33r4),
Lbcom [v33r5](../../../../Lbcom/-/tags/v33r5),
LHCb [v53r5](../../../../LHCb/-/tags/v53r5),
Gaudi [v36r2](../../../../Gaudi/-/tags/v36r2) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to Analysis [v34r1](/../../tags/v34r1), with the following changes:

### New features ~"new feature"

- ~Tuples | FunTuple enhancements, !838 (@amathad)


### Fixes ~"bug fix" ~workaround

- ~Build | Fix CMake configuration and build of Phys/JetAccessoriesMC, !839 (@clemenci)


### Enhancements ~enhancement



### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking ~"Event model" | Adapt to strong typed track enums, !832 (@gunther)
- ~Build | Minor fix to ConfigurableUsers dependencies, !830 (@clemenci)
- Adapted config to removal of GaudiAlgorithm in LHCb packers, !812 (@sponce)


### Documentation ~Documentation


### Other

- ~Tuples | FunctorCollection class: better _repr__ and __str__, !840 (@erodrigu)
- ~Tuples | Add monitoring features for FunTuple and include Tupling of vectors and 3x3 matrices, !819 (@mferrill) [#16]
- Use prefix ++ for counter, !835 (@clemenci)
- Update .gitignore, !834 (@erodrigu)
- ~Tuples | Remove all TupleTools, !828 (@pkoppenb)
