2022-01-31 Analysis v40r1
===

This version uses
Rec [v34r0](../../../../Rec0/-/tags/v34r0),
Lbcom [v33r6](../../../../Lbcom/-/tags/v33r6),
LHCb [v53r6](../../../../LHCb/-/tags/v53r6),
Gaudi [v36r4](../../../../Gaudi/-/tags/v36r4) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to Analysis [v40r0](/../../tags/v40r0), with the following changes:

### New features ~"new feature"

- Adapt to merge of Phys into Rec, !853 (@rmatev)
- Move DaVinciTools tool to Rec, !836 (@cprouve)


### Fixes ~"bug fix" ~workaround

- Fix iadd function for FunctorCollection, !857 (@amathad)


### Enhancements ~enhancement

- ~Functors ~Tuples | Support storage of output from "MAP_INPUT" functor that returns "std::optional<T>" or "std::nullopt", !851 (@amathad)
- ~Tuples | Add functorcollections module to FunTuple framework, !845 (@erodrigu)
- ~Tuples | FunTuple support for tupling vector ThOr functors with LingAlg::Vec type and improve error message, !842 (@amathad)
- ~Tuples | FunTuple's FunctorCollection: class enhanced, almost full test coverage, !856 (@erodrigu)
- ~Tuples | Improve handling of `std::optional` in FunTuple, !855 (@graven)
- ~Tuples | Remove NewTupleTools replaced by functorcollections, !852 (@erodrigu)
- ~Tuples | FunctorCollection class extensions, !849 (@erodrigu)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tuples | FunTuple Python modules: full coverage of FunctorCollection class, !858 (@erodrigu)
- ~Tuples | Create Pytest-based tests for Phys/FunTuple, !848 (@erodrigu)


