2022-10-10 Analysis v41r0
===

This version uses
  Gaudi: [v36r7](../../../../Gaudi/-/tags/v36r7),
  Detector: [v1r4](../../../../Detector/-/tags/v1r4),
  LHCb: [v54r0](../../../../LHCb/-/tags/v54r0),
  Lbcom: [v34r0](../../../../Lbcom/-/tags/v34r0),
  Rec: [v35r0](../../../../Rec/-/tags/v35r0)

This version is released on `master` branch.
Built relative to Analysis [v40r5](/../../tags/v40r5), with the following changes:

### New features ~"new feature"

- Accommodate new decay finder into FunTuple, !916 (@amathad)

### Fixes ~"bug fix" ~workaround

- ~Persistency | Fix relation locations, !918 (@sesen)
- Fix for handling correctly IOVProducer location in dd4hep builds, !917 (@dfazzini) [DaVinci#65]


### Enhancements ~enhancement

- ~Tuples | Full coverage in FunTuple Python modules, !915 (@erodrigu)
- ~Functors ~Tuples | Add TrackIsolation functor collection, !906 (@tfulghes)
- ~Tuples | Change from MCParticles to MCParticleRange in FunTuple and some fix for the new MC Track functors, !898 (@jzhuo)

### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~"MC checking" | Rename TT to UT in MCTrackInfo (follow LHCb!3767), !920 (@rmatev)
- Dropped unused classes TrackScaleState and TrackSmearState (they do not compile for DD4hep), !922 (@sponce)
- Fix CI and apply formatting, !919 (@rmatev)
- Move Phys/Particle2MCTruth and Phys/LoKiPhysMC out of Analysis to Rec, !911 (@erodrigu)
- Add missing include of TClass, !907 (@clemenci)


